=== debian/changelog ===
gnuplot (5.0.5+dfsg1-6+deb9u1) stretch; urgency=high

  * [02931b6] Fix memory corruption vulnerability. CVE-2017-9670.
              (Closes: #864901)

 -- Anton Gladky <gladk@debian.org>  Fri, 16 Jun 2017 22:35:29 +0200

gnuplot (5.0.5+dfsg1-6) unstable; urgency=medium

  * Team upload.
  * [0f55a7f] Mark gnuplot-doc as Multi-Arch:foreign.
  * [9be6254] Do not forcefully disable PIE anymore as -pie changed meaning.
    (Closes: #859370)

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 03 Apr 2017 22:58:59 +0200

gnuplot (5.0.5+dfsg1-5) unstable; urgency=medium

  [ Anton Gladky ]
  * [82388b2] Remove outdated info-patch. (Closes: #844461)
  * [76f823f] Remove outdated font-patch. (Closes: #837315)

  [ Rob Browning ]
  * [9a662e6] Change build dependency to "emacs25-nox | emacs25 | emacs24"
              to support and prefer emacs25. (Closes: #846988)

 -- Anton Gladky <gladk@debian.org>  Sun, 08 Jan 2017 20:39:38 +0100

gnuplot (5.0.5+dfsg1-4) unstable; urgency=medium

  * [3ff368e] Move info-file into gnuplot-doc. (Closes: #843987)
  * [065d9e4] Provide transitional packages for Jessie->Stretch period.
              (Closes: #833343)

 -- Anton Gladky <gladk@debian.org>  Sun, 13 Nov 2016 19:41:25 +0100

gnuplot (5.0.5+dfsg1-3) unstable; urgency=medium

  * [e2ad793] Untar files in examples and docs. (Closes: #842305)
  * [c43ec2b] Resurect info-file. (CloseS: #833646)

 -- Anton Gladky <gladk@debian.org>  Thu, 10 Nov 2016 18:58:40 +0100

gnuplot (5.0.5+dfsg1-2) unstable; urgency=medium

  [ Ghislain Antony Vaillant ]
  * [8e24e44] Make build reproducible.

 -- Anton Gladky <gladk@debian.org>  Sat, 22 Oct 2016 16:15:51 +0200

gnuplot (5.0.5+dfsg1-1) unstable; urgency=medium

  * [f282ca9] New upstream version 5.0.5+dfsg1
  * [b36e4d5] Refresh patches.
  * [0441567] Set debhelper version restriction to >=10.

 -- Anton Gladky <gladk@debian.org>  Sat, 22 Oct 2016 10:43:00 +0200
